/* eslint-disable */
import { Injectable } from '@angular/core';
import { HttpClient, HttpContext } from '@angular/common/http';
import { {{baseServiceClass}} } from '../{{baseServiceFile}}';
import { {{configurationClass}} } from '../{{configurationFile}}';
import { {{responseClass}} } from '../{{responseFile}}';
import { Observable } from 'rxjs';
import { eitherify } from '../../model/functions';
import { ServerError } from '../../model/types';
import { Either } from '@sweet-monads/either';


{{#imports}}import { {{{typeName}}}{{#useAlias}} as {{{qualifiedName}}}{{/useAlias}} } from '{{{@root.pathToRoot}}}{{{fullPath}}}';
{{/imports}}

{{{tsComments}}}@Injectable({
  providedIn: 'root',
})
export class {{typeName}} extends {{baseServiceClass}} {
  constructor(
    config: {{configurationClass}},
    http: HttpClient
  ) {
    super(config, http);
  }

{{#operations}}
{{>operationPath}}
{{#variants}}{{>operationResponse}}{{>operationBody}}{{/variants}}
{{/operations}}
}